%define	name	rdesktop
%define	version	1.2.0
%define	release	1mdk

Summary:	RDP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Terminals
URL:		http://www.rdesktop.org/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	openssl-devel XFree86-devel gmp-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rdesktop is an open source client for Windows NT Terminal
Server and Windows 2000 Terminal Services, capable of
natively speaking Remote Desktop Protocol (RDP) in order
to present the user's NT desktop. Unlike Citrix ICA, no
server extensions are required.
 
rdesktop currently runs on most UNIX based platforms with
the X Window System, and other ports should be fairly
straightforward.
rdesktop is used through rfbdrake.

%prep
%setup -q
# make it lib64 aware, avoid patch
perl -pi -e "/GUI_XWIN_LIB/ and s,(/usr/X11R6)/lib\b,\1/%{_lib},g" Makefile

%build
./configure --bindir=%{_bindir} --prefix=%{_prefix} --mandir=%{_mandir} --with-openssl 

sed s/"CFLAGS   = -O2 -Wall"/"CFLAGS   = \$(RPM_OPT_FLAGS)"/ \
    Makefile > Makefile.new
mv -f Makefile.new Makefile 
make LDLIBS="-L/usr/X11R6/%{_lib} -lX11 -lcrypto"
chmod 644 COPYING
chmod 644 doc/*

%install
rm -rf %{buildroot}
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} \
		DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/keymapping.txt doc/patches.txt
%{_bindir}/rdesktop
%{_datadir}/%{name}/keymaps
%{_mandir}/man1/*.bz2

%changelog
* Mon Feb  3 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.0-1mdk
- release 1.2.0
- added keymaps support
- added man page and doc files
- "unified patch" completely messed up(most of the features are integrated):
  look at patch.txt status

* Sat Feb  1 2003 Daouda LO <daouda@mandrakesoft.com> 1.1.0-8mdk
- fix rdesktop segfaults (bug #1152)

* Sun Jan 26 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-7mdk
- BuildRequires
- Remove redundant Requires (let rpm do the job)

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-6mdk
- Make it lib64 aware

* Thu May 30 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-5mdk
- update to unified path 19-9-0

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.1.0-4mdk
- mdk release 
- update to unified path 19-8-4

* Fri Jan 25 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-3plf
- fixed extension

* Fri Jan 25 2002 RA <ralf_ahlbrink@web.de> 1.1.0-3mdk
- update to unified patch 19-8-3

* Tue Jan 15 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-2mdk
- contributed to PLF by Oden Eriksson <oden.eriksson@kvikkjokk.net>

* Sun Jan  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-1mdk
- initial cooker contrib
